% Plot Some Results for Chile Trend inflation and CAI
%


clear all;
small = 1.0e-10;
big = 1.0e+6;                  
rng(63761);

p1 = path;
path(p1,'../m_utilities');
 
 % -- File Directories  
  outdir = 'out/';
  figdir = 'fig/';
  matdir = 'mat/';
  this_date = datestr(now,'yyyymmdd');
  
  % -- Read in Data --- 
  load_data = 1;  % 1 if reloading data from Excel, etc 
  hicp_data_13_sectors;  
  % Data Series Used
  outlabel = 'dp_agg'; 
  dp_agg_h = dp_agg;
  % save these over the 2001:Q2-2018:Q1 period -- this aligns them with various estimated values 
  first_date = [2001 2];
  last_date = calds(end,:);
  nper = 4;
  ismpl = smpl(calvec,first_date,last_date,nper);
  dp_agg = dp_agg(ismpl==1);
  dp_agg_ma4 = ma(dp_agg,4);
  
  mlabel = '_mucsv_tvp_13c_Q0';
  str_tmp = [matdir 'agg_tau_mean_pct' mlabel]; load(str_tmp);
  str_tmp = [matdir 'agg_s_mean_pct' mlabel]; load(str_tmp);
  
  dp_agg_sa_med = dp_agg - agg_s_mean_pct(:,4);   % '4' is median
  
  % Read in CAI
  tmp = dlmread('EA_CAI.q95');
  [~,calvec_tmp,~] = calendar_make([1995 1],[2018 1],4);
  jj = smpl(calvec_tmp,[2001 2],[2018 1],4);
  cai = tmp(jj==1);
  [~,calvec,~] = calendar_make([2001 2],[2018 1],4);
  ax_fs = 25;
  yyaxis left;
  plot(calvec,dp_agg_ma4,'-. b','LineWidth',3);
  hold on;
    plot(calvec,dp_agg_sa_med,': k','LineWidth',1.5);
    plot(calvec,agg_tau_mean_pct(:,4),'- b','LineWidth',3);
    yyaxis right;
    plot(calvec,cai,'-- r','LineWidth',3);
  hold off;
  legend('4-quarter inflation (left axis)','Seasonally-adjusted inflation (left axis)','Trend inflation (left axis)','Cyclical real activity (right axis)');
  xlim([2000 2020]);
  ax = gca;
  ax.FontSize = ax_fs;
  figure_to_png(figdir,'Figure_10');
  close(gcf);
  
  path(p1);
  

  