% Figure 1
%


clear all;
small = 1.0e-10;
big = 1.0e+6;                  
rng(63761);

p1 = path;
path(p1,'../m_utilities');
 
 % -- File Directories  
  outdir = 'out/';
  figdir = 'fig/';
  matdir = 'mat/';
    
  load_data = 1;  % 1 if reloading data from Excel, etc 
  hicp_data_13_sectors; 
  % save these over the 2001:Q2-2018:Q1 period -- this aligns them with various estimated values 
  first_date = [2001 2];
  last_date = calds(end,:);
  nper = 4;
  ismpl = smpl(calvec,first_date,last_date,nper);
  dp_agg = dp_agg(ismpl==1);
  calvec = calvec(ismpl==1);
  
  ulabel = ['dp_agg_dp_agg'];
  str_tmp = [matdir 'tau_mean_pct' ulabel]; load(str_tmp);
  str_tmp = [matdir 's_mean_pct' ulabel]; load(str_tmp);
  str_tmp = [matdir 'tau_f_mean_pct' ulabel]; load(str_tmp);
  str_tmp = [matdir 's_f_mean_pct' ulabel]; load(str_tmp);
  tau_f_mean_pct(1:12,:) = NaN;
  s_f_mean_pct(1:12,:) = NaN;
  
  dp_agg_sa_med = dp_agg - s_mean_pct(:,4);
  dp_agg_sa_16 = dp_agg - s_mean_pct(:,3);
  dp_agg_sa_84 = dp_agg - s_mean_pct(:,5);
  
  dp_agg_sa_f_med = dp_agg - s_f_mean_pct(:,4);
  dp_agg_sa_f_16 = dp_agg - s_f_mean_pct(:,3);
  dp_agg_sa_f_84 = dp_agg - s_f_mean_pct(:,5);
  
  ax_fs = 25;
  figure
  subplot(2,2,1)
  plot(calvec,dp_agg,'- k','LineWidth',1);
  hold on;
    plot(calvec,tau_mean_pct(:,4),'- b','LineWidth',3);
    plot(calvec,tau_mean_pct(:,3),': b','LineWidth',3);
    plot(calvec,tau_mean_pct(:,5),': b','LineWidth',3);
  hold off;
  xlim([2000 2020]);
  ylabel('Percentage Points (PAAR)');
  title('(a) Smoothed estimates of \tau_t');
  ax = gca;
  ax.FontSize = ax_fs;
  
  subplot(2,2,2) 
  plot(calvec,dp_agg,'- k','LineWidth',1);
  hold on;
    plot(calvec,dp_agg_sa_med,'- b','LineWidth',3);
    plot(calvec,dp_agg_sa_16,': b','LineWidth',3);
    plot(calvec,dp_agg_sa_84,': b','LineWidth',3);
  hold off;
  xlim([2000 2020]);
  ylabel('Percentage Points (PAAR)');
  title('(b) Smoothed estimates of \pi_t - s_t');
  ax = gca;
  ax.FontSize = ax_fs;
  
  subplot(2,2,3)
  plot(calvec,dp_agg,'- k','LineWidth',1);
  hold on;
    plot(calvec,tau_f_mean_pct(:,4),'- b','LineWidth',3);
    plot(calvec,tau_f_mean_pct(:,3),': b','LineWidth',3);
    plot(calvec,tau_f_mean_pct(:,5),': b','LineWidth',3);
  hold off;
  xlim([2000 2020]);
  ylabel('Percentage Points (PAAR)')
  title('(c) Filtered estimates of \tau_t');
  ax = gca;
  ax.FontSize = ax_fs;
  
  subplot(2,2,4) 
  plot(calvec,dp_agg,'- k','LineWidth',1);
  hold on;
    plot(calvec,dp_agg_sa_f_med,'- b','LineWidth',3);
    plot(calvec,dp_agg_sa_f_16,': b','LineWidth',3);
    plot(calvec,dp_agg_sa_f_84,': b','LineWidth',3);
  hold off;
  xlim([2000 2020]);
  ylabel('Percentage Points (PAAR)')
  title('(d) Filtered estimates of \pi_t - s_t');
  ax = gca;
  ax.FontSize = ax_fs;
  
  
  figure_to_png(figdir,'Figure_3');
  close(gcf);
 

path(p1);
  
  
  