% Plot Some Results for Chile
%


clear all;
small = 1.0e-10;
big = 1.0e+6;                  
rng(63761);
 
 % -- File Directories  
  outdir = 'out/';
  figdir = 'fig/';
  matdir = 'mat/';
  
   % -- Read in Data --- 
  load_data = 1;  % 1 if reloading data from Excel, etc 
  hicp_data_13_sectors; 
  share_avg = w_disagg;
  
  % Load univariate weights
  outlabel = 'dp_agg';  
  namevec = {'dp_agg'};
  tmp = char(namevec(1));
  ulabel = [tmp '_' outlabel];  
  str_tmp = [matdir 'wght_mat_s' ulabel]; load(str_tmp);
  str_tmp = [matdir 'wght_mat_f' ulabel]; load(str_tmp);
  
  WX = (-40:1:40)';
  ii = WX > 0;
  wght_mat_f(ii==1) = NaN;
 
  ax_fs = 25;
  plot(WX,wght_mat_s,'- k','LineWidth',3);
    hold on;
       plot(WX,wght_mat_f,': b','LineWidth',3);
    hold off;
    ax = gca;
    ax.FontSize = ax_fs;
    xlim([-20 20]);
    legend('2-sided (smoothed) weights','1-sided (filtered) weights');
  figure_to_png(figdir,'Figure_4');
  close(gcf);
  

  
  

  