% Plot Some Results for Chile
%


clear all;
small = 1.0e-10;
big = 1.0e+6;                  
rng(63761);

p1 = path;
path(p1,'../m_utilities');


 % -- File Directories  
  outdir = 'out/';
  figdir = 'fig/';
  matdir = 'mat/';
  
  load_data = 1;  % 1 if reloading data from Excel, etc 
  hicp_data_13_sectors;  
  mlabel_13c = '_mucsv_tvp_13c_Q0'; 
  %Data Series Used
  dp_disagg_13c = dp_disagg;
  namevec_disagg_13c = namevec_disagg;
  share_avg_13c = w_disagg;
  % save these over the 2001:Q2-2018:Q1 period -- this aligns them with various estimated values 
  first_date = [2001 2];
  last_date = calds(end,:);
  nper = 4;
  ismpl = smpl(calvec,first_date,last_date,nper);
  dp_disagg_13c = dp_disagg_13c(ismpl==1,:);
  share_avg_13c = share_avg_13c(ismpl==1,:);
  calvec = calvec(ismpl==1);
  
  str_tmp = [matdir 'agg_tau_mean_pct' mlabel_13c]; load(str_tmp);
  tau_s_mean_pct_13c = agg_tau_mean_pct;
  str_tmp = [matdir 'agg_s_mean_pct' mlabel_13c]; load(str_tmp);
  s_s_mean_pct_13c = agg_s_mean_pct;
  str_tmp = [matdir 'agg_f_tau_mean_pct' mlabel_13c]; load(str_tmp);
  tau_f_mean_pct_13c = agg_f_tau_mean_pct;
  str_tmp = [matdir 'agg_f_s_mean_pct' mlabel_13c]; load(str_tmp);
  s_f_mean_pct_13c = agg_f_s_mean_pct;
  tau_f_mean_pct_13c(1:12,:) = NaN;
  s_f_mean_pct_13c(1:12,:) = NaN;
  
  % plot selected results from 13c model
  str_tmp = [matdir 'y_s_mean_pct' mlabel_13c]; load(str_tmp);
  str_tmp = [matdir 'y_tau_mean_pct' mlabel_13c]; load(str_tmp);
  str_tmp = [matdir 'scale_eps_unique_mean_pct' mlabel_13c]; load(str_tmp);
  str_tmp = [matdir 'sigma_ds_unique_mean_pct' mlabel_13c]; load(str_tmp);
  
  ax_fs = 20;
  lg_fs = 18;
  figure;
  subplot(3,2,1);
  ns = 7;
  tmp_s = squeeze(y_s_mean_pct(:,:,ns));
  plot(calvec,dp_disagg_13c(:,ns),'- k','LineWidth',1);
  hold on;
   plot(calvec,dp_disagg_13c(:,ns)-tmp_s(:,4),'- b','LineWidth',2);
   legend({'Inflation','Seasonally adjusted inflation'},'FontSize',lg_fs);
   legend('AutoUpdate','off');
   plot(calvec,dp_disagg_13c(:,ns)-tmp_s(:,3),': b','LineWidth',2); 
   plot(calvec,dp_disagg_13c(:,ns)-tmp_s(:,5),': b','LineWidth',2);
  hold off;
  xlim([2000 2020]);
  title('(a) Transportation');
  ax = gca;
  ax.FontSize = ax_fs;
  legend('AutoUpdate','on');
  
  subplot(3,2,2);
  ns = 7;
  tmp_s = squeeze(y_s_mean_pct(:,:,ns));
  tmp_t = squeeze(y_tau_mean_pct(:,:,ns));
  plot(calvec,dp_disagg_13c(:,ns)-tmp_s(:,4),'- b','LineWidth',2);
  hold on;
   plot(calvec,tmp_t(:,4),'- r','LineWidth',2);
   legend({'Seasonally adjusted inflation','Trend inflation'},'FontSize',lg_fs);
   legend('AutoUpdate','off');
   plot(calvec,tmp_t(:,3),': r','LineWidth',2);
   plot(calvec,tmp_t(:,5),': r','LineWidth',2);
  hold off;
  xlim([2000 2020]);
  title('(b) Transportation ');
  ax = gca;
  ax.FontSize = ax_fs;
  legend('AutoUpdate','on');
  
  subplot(3,2,3);
  ns = 7;
  tmp = squeeze(y_s_mean_pct(:,1,ns));
  plot(calvec,tmp,'- b','LineWidth',1);
  xlim([2000 2020]);
  legend({'Seasonal Component'},'FontSize',lg_fs);
  title('(c) Transportation');
  ax = gca;
  ax.FontSize = ax_fs;
  legend('AutoUpdate','on');
  
  subplot(3,2,4);
  ns = 7;
  tmp = squeeze(sigma_ds_unique_mean_pct(:,1,ns));
  plot(calvec,tmp,'- b','LineWidth',2);
  legend({'Std. Dev. of sector-specific seasonal'},'FontSize',lg_fs);
  title('(d) Transportation');
  ax = gca;
  ax.FontSize = ax_fs;
  legend('AutoUpdate','on');
  
  subplot(3,2,5);
  ns = 3;
  tmp_s = squeeze(y_s_mean_pct(:,:,ns));
  plot(calvec,dp_disagg_13c(:,ns),'- k','LineWidth',1);
  hold on;
   plot(calvec,dp_disagg_13c(:,ns)-tmp_s(:,4),'- b','LineWidth',2);
   legend({'Inflation','Seasonally adjusted inflation'},'FontSize',lg_fs);
   legend('AutoUpdate','off');
   plot(calvec,dp_disagg_13c(:,ns)-tmp_s(:,4),': b','LineWidth',2);
   plot(calvec,dp_disagg_13c(:,ns)-tmp_s(:,4),': b','LineWidth',2);
  xlim([2000 2020]);
  title('(e) Clothing ');
  ax = gca;
  ax.FontSize = ax_fs;
  legend('AutoUpdate','on');
  
  subplot(3,2,6);
  ns = 3;
  tmp_s = squeeze(y_s_mean_pct(:,:,ns));
  tmp_t = squeeze(y_tau_mean_pct(:,:,ns));
  plot(calvec,dp_disagg_13c(:,ns)-tmp_s(:,4),'- b','LineWidth',2);
  hold on;
   plot(calvec,tmp_t(:,4),'- r','LineWidth',2);
   legend({'Seasonally adjusted inflation','Trend inflation'},'FontSize',lg_fs);
   legend('AutoUpdate','off');
   plot(calvec,tmp_t(:,3),': r','LineWidth',2);
   plot(calvec,tmp_t(:,5),': r','LineWidth',2);
  hold off;
  xlim([2000 2020]);
  title('(f) Clothing ');
  ax = gca;
  ax.FontSize = ax_fs;
  legend('AutoUpdate','on');
  
  figure_to_png(figdir,'Fig_5_a');
  close(gcf);
  
  figure;
  subplot(3,2,1);
  ns = 3;
  tmp = squeeze(y_s_mean_pct(:,1,ns));
  plot(calvec,tmp,'- b','LineWidth',1);
  xlim([2000 2020]);
  legend({'Seasonal Component'},'FontSize',lg_fs);
  title('(g) Clothing');
  ax = gca;
  ax.FontSize = ax_fs;
  legend('AutoUpdate','on');
  
  subplot(3,2,2);
  ns = 3;
  tmp = squeeze(sigma_ds_unique_mean_pct(:,1,ns));
  plot(calvec,tmp,'- b','LineWidth',2);
  legend({'Std. Dev. of sector-specific seasonal'},'FontSize',lg_fs);
  title('(h) Clothing');
  ax = gca;
  ax.FontSize = ax_fs;
  legend('AutoUpdate','on');
  
  subplot(3,2,3);
  ns = 6;
  tmp = squeeze(scale_eps_unique_mean_pct(:,:,ns));
  plot(calvec,dp_disagg_13c(:,ns),'- k','LineWidth',1);
  legend({'Inflation'},'FontSize',lg_fs);
  legend('AutoUpdate','off');
  xlim([2000 2020]);
  title('(i) Healthcare ');
  ax = gca;
  ax.FontSize = ax_fs;
  legend('AutoUpdate','on');
  
  subplot(3,2,4);
  ns = 6;
  tmp = squeeze(scale_eps_unique_mean_pct(:,:,ns));
  plot(calvec,tmp(:,1),'- b','LineWidth',2);
  legend({'Idiosynchratic outlier factor'},'FontSize',lg_fs);
  legend('AutoUpdate','off');
  ylim([0 15]);
  xlim([2000 2020]);
  title('(j) Healthcare ');
  ax = gca;
  ax.FontSize = ax_fs;
  legend('AutoUpdate','on');
  
  subplot(3,2,5);
  ns = 13;
  tmp_s = squeeze(y_s_mean_pct(:,:,ns));
  plot(calvec,dp_disagg_13c(:,ns),'- k','LineWidth',1);
  legend({'Inflation'},'FontSize',lg_fs);
  legend('AutoUpdate','off');
  xlim([2000 2020]);
  title('(k) Energy ');
  ax = gca;
  ax.FontSize = ax_fs;
  legend('AutoUpdate','on');
  
  subplot(3,2,6);
  ns = 13;
  tmp = squeeze(scale_eps_unique_mean_pct(:,:,ns));
  plot(calvec,tmp(:,1),'- b','LineWidth',2);
  legend({'Idiosynchratic outlier factor'},'FontSize',lg_fs);
  legend('AutoUpdate','off');
  ylim([0 8]);
  xlim([2000 2020]);
  title('(l) Energy ');
  ax = gca;
  ax.FontSize = ax_fs;
  legend('AutoUpdate','on');
  
  
  figure_to_png(figdir,'Fig_5_b');
  close(gcf);
  
  path(p1);
  

  