% Plot Some Results for Chile
%


clear all;
small = 1.0e-10;
big = 1.0e+6;                  
rng(63761);

p1 = path;
path(p1,'../m_utilities');
 
 % -- File Directories  
  outdir = 'out/';
  figdir = 'fig/';
  matdir = 'mat/';
  
   % -- Read in Data --- 
  load_data = 1;  % 1 if reloading data from Excel, etc 
  hicp_data_13_sectors; 
  share_avg = w_disagg;
  % save these over the 2001:Q2-2018:Q1 period -- this aligns them with various estimated values 
  first_date = [2001 2];
  last_date = calds(end,:);
  nper = 4;
  ismpl = smpl(calvec,first_date,last_date,nper);
  calvec = calvec(ismpl==1);
  
  % Load multivariate weights
  mlabel = '_mucsv_tvp_13c_Q0'; 
  str_tmp = [matdir 'y_tau_mean_pct' mlabel]; load(str_tmp);
  
    aa = { ...
      'A. ' ...
      'B. ' ...
      'C. ' ...
      'D. ' ...
      'E. ' ...
      'F. ' ...
      'G. ' ...
      'H. ' ...
      'I. ' ...
      'J. ' ...
      'K. ' ...
      'L. ' ...
      'M. ' ...
      'N. ' ...
 };
  ax_fs = 20;
  figure;
  for i = 1:13;
    subplot(5,3,i);
    plot(calvec,squeeze(y_tau_mean_pct(:,4,i)),'- b','LineWidth',3);
    hold on;
       plot(calvec,squeeze(y_tau_mean_pct(:,3,i)),': b','LineWidth',3);
       plot(calvec,squeeze(y_tau_mean_pct(:,5,i)),': b','LineWidth',3);
    hold off;
    ax = gca;
    ax.FontSize = ax_fs;
    xlim([2000 2020]);
    ylim([-2 5]);
    if i == 2; ylim([0 8]); end;
    if i == 8; ylim([-6 3]); end;
    if i == 13; ylim([-6 12]); end;
    stra = char(aa(i));
    str = char(namevec_disagg(i));
    title([stra str]);
  end;
  figure_to_png(figdir,'Figure_6');
  close(gcf);
  
  path(p1);
  
 

  
  

  