% Plot Some Results for Chile
%


clear all;
small = 1.0e-10;
big = 1.0e+6;                  
rng(63761);

p1 = path;
path(p1,'../m_utilities');
 
 % -- File Directories  
  outdir = 'out/';
  figdir = 'fig/';
  matdir = 'mat/';
  
   % -- Read in Data --- 
  load_data = 1;  % 1 if reloading data from Excel, etc 
  hicp_data_13_sectors; 
  share_avg = w_disagg;
  
  % Load univariate weights
  outlabel = 'dp_agg';  
  namevec = {'dp_agg'};
  tmp = char(namevec(1));
  ulabel = [tmp '_' outlabel];  
  str_tmp = [matdir 'wght_mat_s' ulabel]; load(str_tmp);
  wght_mat_s_univariate = wght_mat_s;
  
  % Load multivariate weights
  mlabel = '_mucsv_tvp_13c_Q0'; 
  str_tmp = [matdir 'wght_mat_s' mlabel]; load(str_tmp);
  wght_mat_s_multivariate = wght_mat_s;
  WX = (-40:1:40)';
  
  % Select lags -4 to 4:
%   ii = (WX >= -4).*(WX <= 4);
%   sum(wght_mat_s_univariate(ii==1))
%   sum(wght_mat_s_multivariate(ii==1,:))'
  
  
    aa = { ...
      'A. ' ...
      'B. ' ...
      'C. ' ...
      'D. ' ...
      'E. ' ...
      'F. ' ...
      'G. ' ...
      'H. ' ...
      'I. ' ...
      'J. ' ...
      'K. ' ...
      'L. ' ...
      'M. ' ...
      'N. ' ...
 };
  ax_fs = 20;
  figure;
  for i = 1:13;
    subplot(5,3,i);
    plot(WX,wght_mat_s_multivariate(:,i),'- k','LineWidth',3);
    hold on;
       plot(WX,wght_mat_s_univariate,': b','LineWidth',3);
    hold off;
    ax = gca;
    ax.FontSize = ax_fs;
%     m1 = min(wght_mat_f_13c(:,i));
%     m2 = max(wght_mat_f_13c(:,i));
%     y1 = 0.1*(floor(m1/.1));
%     y2 = 0.05*(ceil(m2/.05));
    %ylim([y1 y2]);
    %ylim([-0.5 1.5]);
    xlim([-8 8]);
    stra = char(aa(i));
    str = char(namevec_disagg(i));
    title([stra str]);
  end;
  legend({'Multivariate Model','Univariate Model'},'Position',[0.4 0.12 0.1 0.08])
  figure_to_png(figdir,'Figure_7');
  close(gcf);
  
  path(p1);
  

  
  

  