% Figure 8
%


clear all;
small = 1.0e-10;
big = 1.0e+6;                  
rng(63761);

p1 = path;
path(p1,'../m_utilities');
 
 % -- File Directories  
  outdir = 'out/';
  figdir = 'fig/';
  matdir = 'mat/';
    
  load_data = 1;  % 1 if reloading data from Excel, etc 
  hicp_data_13_sectors; 
  % save these over the 2001:Q2-2018:Q1 period -- this aligns them with various estimated values 
  first_date = [2001 2];
  last_date = calds(end,:);
  nper = 4;
  ismpl = smpl(calvec,first_date,last_date,nper);
  dp_agg = dp_agg(ismpl==1);
  calvec = calvec(ismpl==1);
  
  ulabel = ['dp_agg_dp_agg'];
  str_tmp = [matdir 'tau_mean_pct' ulabel]; load(str_tmp);
  tau_1 = tau_mean_pct(:,4);
  
  mlabel = '_mucsv_tvp_2c_Q0';
  str_tmp = [matdir 'agg_tau_mean_pct' mlabel]; load(str_tmp);
  tau_2 = agg_tau_mean_pct(:,4);
  
  mlabel = '_mucsv_tvp_3c_Q0';
  str_tmp = [matdir 'agg_tau_mean_pct' mlabel]; load(str_tmp);
  tau_3 = agg_tau_mean_pct(:,4);
  
  mlabel = '_mucsv_tvp_4c_Q0';
  str_tmp = [matdir 'agg_tau_mean_pct' mlabel]; load(str_tmp);
  tau_4 = agg_tau_mean_pct(:,4);
  
  mlabel = '_mucsv_tvp_13c_Q0';
  str_tmp = [matdir 'agg_tau_mean_pct' mlabel]; load(str_tmp);
  tau_13 = agg_tau_mean_pct(:,4);
  
  ax_fs = 25;
  plot(calvec,tau_1,'- k','LineWidth',3);
  hold on;
   plot(calvec,tau_2,': g','LineWidth',3); 
   plot(calvec,tau_3,'-- r','LineWidth',3); 
   plot(calvec,tau_4,'- k','LineWidth',1); 
   plot(calvec,tau_13,'- b','LineWidth',3); 
  hold off;
  xlim([2000 2020]);
  ylabel('Percentage Points (PAAR)')
  legend('1-sector','2-sectors','3-sectors','4-sectors','13-sectors')
  ax = gca;
  ax.FontSize = ax_fs;
  
  figure_to_png(figdir,'Figure_9');
  close(gcf);

  path(p1);
  