% Figure 1
%


clear all;
small = 1.0e-10;
big = 1.0e+6;                  
rng(63761);

p1 = path;
path(p1,'../m_utilities');
 
 % -- File Directories  
  outdir = 'out/';
  figdir = 'fig/';
  matdir = 'mat/';
    
  load_data = 1;  % 1 if reloading data from Excel, etc 
  hicp_data_13_sectors; 
  nper = 4;
  % Print out shares
  first_date = [2001 2];
  last_date = calds(end,:);
  ismpl = smpl(calvec,first_date,last_date,nper);
  dp_agg = dp_agg(ismpl==1);
  calvec = calvec(ismpl==1);
  
 mlabel = '_mucsv_tvp_13c_Q0';  
 load_data = 1;  % 1 if reloading data from Excel, etc 
 hicp_data_13_sectors;  
 % Data Series Used
 % Rearrange disaggregate data so order is igoods,services,food,energy
 str_tmp = [matdir 'alpha_eps_mean_pct' mlabel]; load(str_tmp);
 str_tmp = [matdir 'alpha_tau_mean_pct' mlabel]; load(str_tmp);
 str_tmp = [matdir 'alpha_s_mean_pct' mlabel]; load(str_tmp);
 str_tmp = [matdir 'sigma_eps_unique_mean_pct' mlabel]; load(str_tmp);
 str_tmp = [matdir 'sigma_dtau_unique_mean_pct' mlabel]; load(str_tmp);
 str_tmp = [matdir 'sigma_ds_unique_mean_pct' mlabel]; load(str_tmp);
 str_tmp = [matdir 'scale_eps_common_mean_pct' mlabel]; load(str_tmp);
 str_tmp = [matdir 'sigma_eps_common_mean_pct' mlabel]; load(str_tmp);
 str_tmp = [matdir 'sigma_dtau_common_mean_pct' mlabel]; load(str_tmp);
 str_tmp = [matdir 'sigma_ds_common_mean_pct' mlabel]; load(str_tmp);
 
 outfile_name = [outdir 'Table_3.csv'];
 fileID = fopen(outfile_name,'w'); 
 % 67% CI for common parameters .. average values
 tmp = sigma_dtau_common_mean_pct(1,:)';
 fprintf(fileID,'Sigma_dtau_common, %5.2f (%5.2f %5.2f) ,',[tmp(4) tmp(3) tmp(5)]);
 tmp = sigma_dtau_common_mean_pct(end,:)';
 fprintf(fileID,' %5.2f (%5.2f %5.2f) \n',[tmp(4) tmp(3) tmp(5)]);
 
 tmp = sigma_ds_common_mean_pct(1,:)';
 fprintf(fileID,'Sigma_ds_common, %5.2f (%5.2f %5.2f) ,',[tmp(4) tmp(3) tmp(5)]);
 tmp = sigma_ds_common_mean_pct(end,:)';
 fprintf(fileID,' %5.2f (%5.2f %5.2f) \n',[tmp(4) tmp(3) tmp(5)]);
 
 tmp = sigma_eps_common_mean_pct(1,:)';
 fprintf(fileID,'Sigma_eps_common, %5.2f (%5.2f %5.2f) ,',[tmp(4) tmp(3) tmp(5)]);
 tmp = sigma_eps_common_mean_pct(end,:)';
 fprintf(fileID,' %5.2f (%5.2f %5.2f) \n',[tmp(4) tmp(3) tmp(5)]);
 
 fprintf(fileID,'\n \n');
 
 for i = 1:13;
   str = char(namevec_disagg(i));
   fprintf(fileID,[str ',']);
   tmp = alpha_tau_mean_pct(i,:)';
   fprintf(fileID,'%5.2f (%5.2f %5.2f) ,',[tmp(4) tmp(3) tmp(5)]);
   tmp = alpha_s_mean_pct(i,:)';
   fprintf(fileID,'%5.2f (%5.2f %5.2f) ,',[tmp(4) tmp(3) tmp(5)]);
   tmp = alpha_eps_mean_pct(i,:)';
   fprintf(fileID,'%5.2f (%5.2f %5.2f) ,,',[tmp(4) tmp(3) tmp(5)]);
   
   tmp = squeeze(sigma_dtau_unique_mean_pct(1,:,i));
   fprintf(fileID,'%5.2f (%5.2f %5.2f) ,',[tmp(4) tmp(3) tmp(5)]);
   tmp = squeeze(sigma_dtau_unique_mean_pct(end,:,i));
   fprintf(fileID,'%5.2f (%5.2f %5.2f) ,,',[tmp(4) tmp(3) tmp(5)]);
   
   tmp = squeeze(sigma_ds_unique_mean_pct(1,:,i));
   fprintf(fileID,'%5.2f (%5.2f %5.2f) ,',[tmp(4) tmp(3) tmp(5)]);
   tmp = squeeze(sigma_ds_unique_mean_pct(end,:,i));
   fprintf(fileID,'%5.2f (%5.2f %5.2f) ,,',[tmp(4) tmp(3) tmp(5)]);
   
   tmp = squeeze(sigma_eps_unique_mean_pct(1,:,i));
   fprintf(fileID,'%5.2f (%5.2f %5.2f) ,',[tmp(4) tmp(3) tmp(5)]);
   tmp = squeeze(sigma_eps_unique_mean_pct(end,:,i));
   fprintf(fileID,'%5.2f (%5.2f %5.2f) \n',[tmp(4) tmp(3) tmp(5)]);
 end;
 
 path(p1);
      
  
  
  