% Figure 1
%


clear all;
small = 1.0e-10;
big = 1.0e+6;                  
rng(63761);

p1 = path;
path(p1,'../m_utilities');
 
 % -- File Directories  
  outdir = 'out/';
  figdir = 'fig/';
  matdir = 'mat/';
    
  load_data = 1;  % 1 if reloading data from Excel, etc 
  hicp_data_13_sectors; 
  nper = 4;
  % Print out shares
  first_date = [2001 2];
  last_date = calds(end,:);
  ismpl = smpl(calvec,first_date,last_date,nper);
  dp_agg = dp_agg(ismpl==1);
  calvec = calvec(ismpl==1);
  
  mlabel = '_mucsv_tvp_13c_Q0';
  str_tmp = [matdir 'agg_tau_mean_pct' mlabel]; load(str_tmp);
  str_tmp = [matdir 'agg_s_mean_pct' mlabel]; load(str_tmp);
  
  str_out = [outdir 'Table_4.csv'];
  fid_out =  fopen(str_out,'w');
  
  ismpl1 = smpl(calvec,[2001 2],[2001 2],4);
  ismpl2 = smpl(calvec,[2009 4],[2009 4],4);
  ismpl3 = smpl(calvec,[2018 1],[2018 1],4);
  
  fprintf(fid_out,'Panel a \n');
  fprintf(fid_out,'tau_t ,');
  fprintf(fid_out,'%5.2f (%5.2f %5.2f),',agg_tau_mean_pct(ismpl1==1,[4 3 5]));
  fprintf(fid_out,'%5.2f (%5.2f %5.2f),',agg_tau_mean_pct(ismpl2==1,[4 3 5]));
  fprintf(fid_out,'%5.2f (%5.2f %5.2f)\n',agg_tau_mean_pct(ismpl3==1,[4 3 5]));
  
  fprintf(fid_out,'\n\n Panel b \n');
  ismpl1 = smpl(calvec,[2002 1],[2002 4],4);
  ismpl2 = smpl(calvec,[2009 1],[2009 4],4);
  ismpl3 = smpl(calvec,[2017 1],[2017 4],4);
  s1 = agg_s_mean_pct(ismpl1==1,[4 3 5]);
  s2 = agg_s_mean_pct(ismpl2==1,[4 3 5]);
  s3 = agg_s_mean_pct(ismpl3==1,[4 3 5]);
  fprintf(fid_out,'2002,');
  s = s1;
  for i = 1:4;
      fprintf(fid_out,'%5.2f (%5.2f %5.2f)',s(i,:));
      if i < 4;
          fprintf(fid_out,',');
      else;
          fprintf(fid_out,'\n');
      end;
  end;
  fprintf(fid_out,'2009,');
  s = s2;
  for i = 1:4;
      fprintf(fid_out,'%5.2f (%5.2f %5.2f)',s(i,:));
      if i < 4;
          fprintf(fid_out,',');
      else;
          fprintf(fid_out,'\n');
      end;
  end;
  fprintf(fid_out,'2017,');
  s = s3;
  for i = 1:4;
      fprintf(fid_out,'%5.2f (%5.2f %5.2f)',s(i,:));
      if i < 4;
          fprintf(fid_out,',');
      else;
          fprintf(fid_out,'\n');
      end;
  end;
  
  path(p1);
          
      
  
  
  