% Figure 8
%


clear all;
small = 1.0e-10;
big = 1.0e+6;                  
rng(63761);

p1 = path;
path(p1,'../m_utilities');
 
 % -- File Directories  
  outdir = 'out/';
  figdir = 'fig/';
  matdir = 'mat/';
    
  load_data = 1;  % 1 if reloading data from Excel, etc 
  hicp_data_13_sectors; 
  % save these over the 2001:Q2-2018:Q1 period -- this aligns them with various estimated values 
  first_date = [2001 2];
  last_date = calds(end,:);
  nper = 4;
  ismpl = smpl(calvec,first_date,last_date,nper);
  dp_agg = dp_agg(ismpl==1);
  calvec = calvec(ismpl==1);
  
  ulabel = ['dp_agg_dp_agg'];
  str_tmp = [matdir 'tau_mean_pct' ulabel]; load(str_tmp);
  str_tmp = [matdir 's_mean_pct' ulabel]; load(str_tmp);
  tau_1_68 = tau_mean_pct(end,5)-tau_mean_pct(end,3);
  s_1_68 = s_mean_pct(end,5)-s_mean_pct(end,3);
  tau_1_90 = tau_mean_pct(end,6)-tau_mean_pct(end,2);
  s_1_90 = s_mean_pct(end,6)-s_mean_pct(end,2);
  
  mlabel = '_mucsv_tvp_2c_Q0';
  str_tmp = [matdir 'agg_tau_mean_pct' mlabel]; load(str_tmp);
  str_tmp = [matdir 'agg_s_mean_pct' mlabel]; load(str_tmp);
  tau_2_68 = agg_tau_mean_pct(end,5)-agg_tau_mean_pct(end,3);
  s_2_68 = agg_s_mean_pct(end,5)-agg_s_mean_pct(end,3);
  tau_2_90 = agg_tau_mean_pct(end,6)-agg_tau_mean_pct(end,2);
  s_2_90 = agg_s_mean_pct(end,6)-agg_s_mean_pct(end,2);
  
  mlabel = '_mucsv_tvp_3c_Q0';
  str_tmp = [matdir 'agg_tau_mean_pct' mlabel]; load(str_tmp);
  str_tmp = [matdir 'agg_s_mean_pct' mlabel]; load(str_tmp);
  tau_3_68 = agg_tau_mean_pct(end,5)-agg_tau_mean_pct(end,3);
  s_3_68 = agg_s_mean_pct(end,5)-agg_s_mean_pct(end,3);
  tau_3_90 = agg_tau_mean_pct(end,6)-agg_tau_mean_pct(end,2);
  s_3_90 = agg_s_mean_pct(end,6)-agg_s_mean_pct(end,2);
  
  mlabel = '_mucsv_tvp_4c_Q0';
  str_tmp = [matdir 'agg_tau_mean_pct' mlabel]; load(str_tmp);
  str_tmp = [matdir 'agg_s_mean_pct' mlabel]; load(str_tmp);
  tau_4_68 = agg_tau_mean_pct(end,5)-agg_tau_mean_pct(end,3);
  s_4_68 = agg_s_mean_pct(end,5)-agg_s_mean_pct(end,3);
  tau_4_90 = agg_tau_mean_pct(end,6)-agg_tau_mean_pct(end,2);
  s_4_90 = agg_s_mean_pct(end,6)-agg_s_mean_pct(end,2);
  
  mlabel = '_mucsv_tvp_13c_Q0';
  str_tmp = [matdir 'agg_tau_mean_pct' mlabel]; load(str_tmp);
  str_tmp = [matdir 'agg_s_mean_pct' mlabel]; load(str_tmp);
  tau_13_68 = agg_tau_mean_pct(end,5)-agg_tau_mean_pct(end,3);
  s_13_68 = agg_s_mean_pct(end,5)-agg_s_mean_pct(end,3);
  tau_13_90 = agg_tau_mean_pct(end,6)-agg_tau_mean_pct(end,2);
  s_13_90 = agg_s_mean_pct(end,6)-agg_s_mean_pct(end,2);
  
  str_out = [outdir 'Table_5.csv'];
  fid_out =  fopen(str_out,'w');
  tmp = [[tau_1_68 s_1_68 tau_1_90 s_1_90];[tau_2_68 s_2_68 tau_2_90 s_2_90];[tau_3_68 s_3_68 tau_3_90 s_3_90];[tau_4_68 s_4_68 tau_4_90 s_4_90];[tau_13_68 s_13_68 tau_13_90 s_13_90]];
  prtmat_comma(tmp,fid_out,'%5.2f','\n');
  
  path(p1);
  

  