% Plot Some Results for Chile Trend inflation and CAI
%


clear all;
small = 1.0e-10;
big = 1.0e+6;                  
rng(63761);

p1 = path;
path(p1,'../m_utilities');
 
 % -- File Directories  
  outdir = 'out/';
  figdir = 'fig/';
  matdir = 'mat/';
  this_date = datestr(now,'yyyymmdd');
  
  % -- Read in Data --- 
  load_data = 1;  % 1 if reloading data from Excel, etc 
  hicp_data_13_sectors;  
  % Data Series Used
  outlabel = 'dp_agg'; 
  dp_agg_h = dp_agg;
  % save these over the 2001:Q2-2018:Q1 period -- this aligns them with various estimated values 
  first_date = [2001 2];
  last_date = calds(end,:);
  nper = 4;
  ismpl = smpl(calvec,first_date,last_date,nper);
  dp_agg = dp_agg(ismpl==1);
  dp_agg_ma4 = ma(dp_agg,4);
  
  mlabel = '_mucsv_tvp_13c_Q0';
  str_tmp = [matdir 'agg_tau_mean_pct' mlabel]; load(str_tmp);
  str_tmp = [matdir 'agg_s_mean_pct' mlabel]; load(str_tmp);
  tau_13 = agg_tau_mean_pct(:,4);
  dp_agg_sa_13 = dp_agg - agg_s_mean_pct(:,4);   % '4' is median
  
  mlabel = '_mucsv_tvp_3c_Q0';
  str_tmp = [matdir 'agg_tau_mean_pct' mlabel]; load(str_tmp);
  tau_3 = agg_tau_mean_pct(:,4);
  
  ulabel = ['dp_agg_dp_agg'];
  str_tmp = [matdir 'tau_mean_pct' ulabel]; load(str_tmp);
  str_tmp = [matdir 's_mean_pct' ulabel]; load(str_tmp);
  tau_1 = tau_mean_pct(:,4);
  dp_agg_sa_1 = dp_agg - s_mean_pct(:,4);   % '4' is median
  
  % Read in CAI
  tmp = dlmread('EA_CAI.q95');
  [~,calvec_tmp,~] = calendar_make([1995 1],[2018 1],4);
  jj = smpl(calvec_tmp,[2001 2],[2018 1],4);
  cai = tmp(jj==1);
  [~,calvec,~] = calendar_make([2001 2],[2018 1],4);
  
  tmp = [cai dp_agg dp_agg_ma4 dp_agg_sa_1 tau_1 tau_3 tau_13];
  tmp = packr(tmp);
  
  y = tmp(:,1);
  x = tmp(:,2:end);
  y = (y - mean(y))/std(y);
  x = (x - repmat(mean(x),size(x,1),1))./repmat(std(x),size(x,1),1);
  cor_yx = y'*x/(size(y,1)-1);
  
  str_out = [outdir 'Table_6.csv'];
  fid_out =  fopen(str_out,'w');
  fprintf(fid_out,'1Q Inflation %5.2f \n',cor_yx(1));
  fprintf(fid_out,'4Q Inflation %5.2f \n',cor_yx(2));
  fprintf(fid_out,'SA Inflation %5.2f \n',cor_yx(3));
  fprintf(fid_out,'Trend Inflation 1 %5.2f \n',cor_yx(4));
  fprintf(fid_out,'Trend Inflation 3 %5.2f \n',cor_yx(5));
  fprintf(fid_out,'Trend Inflation 13 %5.2f \n',cor_yx(6));
  
  path(p1);
  
  
  
 
  

  