function [alpha_eps, alpha_tau, alpha_s] = draw_alpha_seas_const(y,prior_var_alpha,tau_unique,s_unique,eps_common,tau_common,s_common,sigma_eps_unique);
  
%   Detailed explanation goes here
     n_y = size(y,2);
     nobs = size(y,1);
     y = y - tau_unique - s_unique;  % Eliminates tau_unique and s_unique from y ;
     
     % Brute Force Calculation
     n_state = 3*n_y;
     % First n_y elements of state are alpha_eps; second n_y elements of
     % state are alpha_tau, last n_y elements are alpha_s .. use recursive
     % least squares
     X1_init = zeros(n_state,1);
     P1_init = prior_var_alpha;
     X1 = X1_init;
     P1 = P1_init;
     H = zeros(n_state,n_y);
     for t = 1:nobs;
      yt = y(t,:)';
      H(1:n_y,:) = eps_common(t,1)*eye(n_y);
      H(n_y+1:2*n_y,:) = tau_common(t,1)*eye(n_y);
      H(2*n_y+1:3*n_y,:) = s_common(t,1)*eye(n_y);
      Rt = diag((sigma_eps_unique(t,:).^2)');
      % KF Recursions in this special case
      X2 = X1;
      P2 = P1;
      e = yt-H'*X2;
      ht = H'*P2*H + Rt;
      opts.POSDEF=true;
      [hti,rcond]=linsolve(ht,eye(n_y));
      if rcond < 1.0e-12;
          hti = pinv(ht);
      end;
      K=P2*H*hti;
      X1=X2+K*e;
      P1=(eye(n_state)-K*H')*P2;
      P1=0.5*(P1+P1');
     end;
     % Draw From State -- Only Need Last Value because Alpha is constant
     P1s = sqrt_psd(P1);
     X_Draw = X1 + P1s*randn(n_state,1);    
     alpha_eps = X_Draw(1:n_y);
     alpha_tau = X_Draw(n_y+1:2*n_y);
     alpha_s = X_Draw(2*n_y+1:3*n_y);
end